## com.sun.mail.imap
Interface IMAPFolder.ProtocolCommand

Enclosing class:
  IMAPFolder

    public static interface IMAPFolder.ProtocolCommand

A simple interface for user-defined IMAP protocol commands.

Method Summary
`java.lang.Object` `doCommand(com.sun.mail.imap.protocol.IMAPProtocol protocol)` Execute the user-defined command using the supplied IMAPProtocol object.

Method Detail

### doCommand

    java.lang.Object doCommand(com.sun.mail.imap.protocol.IMAPProtocol protocol)
                               throws com.sun.mail.iap.ProtocolException

  Execute the user-defined command using the supplied IMAPProtocol object.

  Throws:
    `com.sun.mail.iap.ProtocolException`